=== modified file 'docs/snapcraft-advanced-features.md'
--- docs/snapcraft-advanced-features.md	2015-09-29 17:31:08 +0000
+++ docs/snapcraft-advanced-features.md	2015-10-01 08:54:15 +0000
@@ -1,20 +1,20 @@
 # Snapcraft: Advanced features
 
 Once you have built [your first snap](your-first-snap.md), you will probably
-want to learn more about snapcraft's more advanced features. Having a look at 
-our selection of examples is a good idea, as we want it to be a good showcase 
+want to learn more about snapcraft's more advanced features. Having a look at
+our selection of examples is a good idea, as we want it to be a good showcase
 of what is possible and generally relevant.
 
 ## Examples
 
-Our showcase can be found in the actual source of `snapcraft` itself. Check 
+Our showcase can be found in the actual source of `snapcraft` itself. Check
 it out by simply running:
 
 	bzr branch lp:snapcraft
 	cd snapcraft/examples
 
-Inspecting the source locally will make easier to build the examples and 
-play around with them. (You can 
+Inspecting the source locally will make easier to build the examples and
+play around with them. (You can
 [view them online](https://bazaar.launchpad.net/~snappy-dev/snapcraft/core/files/head:/examples/)
 as well.)
 
@@ -34,7 +34,7 @@
 (like description, vendor information and everything else), naming
 the individual parts will define the stucture of your `snapcraft.yaml` file.
 Think of parts as individual components of your snap: Where do you pull them
-from? How are they built? 
+from? How are they built?
 
 ### Prerequisites during the build
 
@@ -44,7 +44,7 @@
 	build-packages: [libssl-dev]
 
 The above will install the `libssl-dev` package from the Ubuntu archive before
-an attempted build. If you need a specific version of libssl-dev or a custom 
+an attempted build. If you need a specific version of libssl-dev or a custom
 build, you will need to specify a separate part.
 
 Also note that the above will not define which libraries are shipped with the
@@ -54,34 +54,35 @@
 ### Pulling and building
 
 If you just intend to pull and build the source, take a look at the `gopaste`
-example. In its `snapcraft.yaml` file you can find just this one `parts` 
+example. In its `snapcraft.yaml` file you can find just this one `parts`
 paragraph:
 
 	parts:
  	  gopaste:
-    	    plugin: go-project
+    	    plugin: go
             source: git://github.com/wisnij/gopaste/gopasted
 
 It starts off with the name of the specific part (`gopaste` here), the origin
-of the part (it's a `git` URL) and how to build it (plugin: `go-project`).
+of the part (it's a `git` URL) and how to build it (plugin: `go`).
 Other possible scenarios would be Bazaar or Mercurial branches, or local
 directories.
 
 ### Mixing and matching plugins
 
 An interesting example is `py2-project` because it defines only one part
-(`spongeshaker`), but uses two different plugins (`python2-project` and 
-`make-project) to assemble and build the snap:
+(`spongeshaker`), but uses two different plugins (`python2` and `make`) to
+assemble and build the snap:
 
 	parts:
-  	  spongeshaker:
-	    plugin: python2-project
+  	spongeshaker:
+	    plugin: python2
 	    source: git://github.com/markokr/spongeshaker.git
 	  make-project:
+		  plugin: make
 	    source: .
 
 The example above mixes and matches parts of different origin. Locally it
-provides a binary we intend to ship (the `sha3sum.py` script) and a 
+provides a binary we intend to ship (the `sha3sum.py` script) and a
 `Makefile` (to install our script in the right place).
 
 `spongeshaker` is a python library we will need to pull from git, build as
@@ -91,33 +92,33 @@
 binary which you maintain, but require a library you need to build from git
 as opposed to simply including it from the Ubuntu archives.
 
-What's happening during the `snapcraft` run is: 
+What's happening during the `snapcraft` run is:
 
 1. Get `spongeshaker` from `git`.
-1. Build it as a python project (which will include installing the python 
+1. Build it as a python project (which will include installing the python
    library in the right place).
-1. Running `make` (from the local `Makefile`) and thus installing our 
+1. Running `make` (from the local `Makefile`) and thus installing our
    `sha3sum.py` script in the right place.
 
 ### Putting your parts in order
 
-If your app is comprised of multiple parts, it might be necessary to build 
+If your app is comprised of multiple parts, it might be necessary to build
 and stage parts in a particular order. This can be done by using the `after`
 keyword:
 
 	parts:
 	    pipelinetest:
-	        plugin: make-project
+	        plugin: make
 	        source: lp:~mterry/+junk/pipelinetest
 	        after:
 	            - libpipeline
 	    libpipeline:
-	        plugin: autotools-project
+	        plugin: autotools
 	        source: lp:~mterry/libpipeline/printf
 
 
 In the case of the `libpipeline` example above, the part named `pipelinetest`
-will be built after `libpipeline`. Especially if you need specific 
+will be built after `libpipeline`. Especially if you need specific
 functionality during a build or as part of checks during the `snap` phase,
 this will be handy.
 
@@ -126,14 +127,14 @@
 With snapcraft we want to make it easy to learn from other app vendors and
 re-use parts which have worked well for them.
 
-In the `downloader-with-wiki-parts` example, you can see that the `main` 
+In the `downloader-with-wiki-parts` example, you can see that the `main`
 part is built:
 
 	        after:
 	            - curl
 
 As we never define the `curl` part in the above example, `snapcraft` will
-check the Ubuntu Wiki, which is where we currently host examples of 
+check the Ubuntu Wiki, which is where we currently host examples of
 successful snapcraft parts. The build order in this case would be `curl`,
 then `main`.
 
@@ -143,7 +144,7 @@
 ### Individual files
 
 If you are planning to provide binaries and services to the users of your
-apps, you need to specify them in your definition first. It's just a matter 
+apps, you need to specify them in your definition first. It's just a matter
 of enumerating them.
 
 The `godd` example has one binary:
@@ -162,17 +163,17 @@
 	    description: "gopaste"
 	    start: bin/gopasted
 
-You define a name for the service, describe it (so log messages are more 
-descriptive), declare how to run the service and that's it. For more 
+You define a name for the service, describe it (so log messages are more
+descriptive), declare how to run the service and that's it. For more
 thoughts on services and their security, visit the
 [snappy policy](https://developer.ubuntu.com/en/snappy/guides/security-policy/).
 
 
 ### Limiting the number of installed files
 
-To check the list of files included in your snap, you can use `dpkg -c` on 
+To check the list of files included in your snap, you can use `dpkg -c` on
 the resulting `.snap` file. If you find that certain files should not be
-shipped to the user (download size being just one factor), you can 
+shipped to the user (download size being just one factor), you can
 explicitly tell `snapcraft` which files to snap:
 
 	    snap:
@@ -185,4 +186,3 @@
 during the `snap` phase. As you can see above, globs (using asterisks as
 wildcard characters) are a good way of handling complexities within the
 directory structure.
-

=== modified file 'docs/your-first-snap.md'
--- docs/your-first-snap.md	2015-09-29 13:36:43 +0000
+++ docs/your-first-snap.md	2015-10-01 08:54:15 +0000
@@ -104,7 +104,7 @@
 
     parts:
       cam:
-        plugin: go-project
+        plugin: go
         source: git://github.com/mikix/golang-static-http
 
 You've just defined a `part` inside `parts` named `cam`, but you
@@ -138,7 +138,7 @@
 
     parts:
       cam:
-        plugin: go-project
+        plugin: go
         source: git://github.com/mikix/golang-static-http
         stage-packages:
           - fswebcam
@@ -185,7 +185,7 @@
 
     parts:
       cam:
-        plugin: go-project
+        plugin: go
         source: git://github.com/mikix/golang-static-http
         stage-packages:
           - fswebcam
@@ -219,7 +219,7 @@
 
     parts:
       cam:
-        plugin: go-project
+        plugin: go
         source: git://github.com/mikix/golang-static-http
         stage-packages:
           - fswebcam
@@ -273,7 +273,7 @@
 
     parts:
       golang-static-http:
-        plugin: go-project
+        plugin: go
         source: git://github.com/mikix/golang-static-http
       fswebcam:
         plugin: ubuntu

=== modified file 'examples/downloader-with-wiki-parts/snapcraft.yaml'
--- examples/downloader-with-wiki-parts/snapcraft.yaml	2015-09-29 13:36:43 +0000
+++ examples/downloader-with-wiki-parts/snapcraft.yaml	2015-10-01 08:54:15 +0000
@@ -10,7 +10,7 @@
 
 parts:
     main:
-        plugin: make-project
+        plugin: make
         source: .
         after:
             - curl

=== modified file 'examples/godd/snapcraft.yaml'
--- examples/godd/snapcraft.yaml	2015-09-29 13:36:43 +0000
+++ examples/godd/snapcraft.yaml	2015-10-01 08:54:15 +0000
@@ -10,11 +10,11 @@
 
 parts:
   godd:
-    plugin: go-project
+    plugin: go
     source: git://github.com/mvo5/godd
     stage-packages: [libgudev-1.0-dev]
     snap:
      - usr/lib/x86_64-linux-gnu/libgudev-1.0.so*
      - usr/lib/x86_64-linux-gnu/libobject-2.0.so*
      - usr/lib/x86_64-linux-gnu/libglib-2.0.so*
-     - bin/godd*
\ No newline at end of file
+     - bin/godd*

=== modified file 'examples/gopaste/snapcraft.yaml'
--- examples/gopaste/snapcraft.yaml	2015-09-29 13:36:43 +0000
+++ examples/gopaste/snapcraft.yaml	2015-10-01 08:54:15 +0000
@@ -11,5 +11,5 @@
 
 parts:
   gopaste:
-    plugin: go-project
+    plugin: go
     source: git://github.com/wisnij/gopaste/gopasted

=== modified file 'examples/java-hello-world/snapcraft.yaml'
--- examples/java-hello-world/snapcraft.yaml	2015-09-29 13:36:43 +0000
+++ examples/java-hello-world/snapcraft.yaml	2015-10-01 08:54:15 +0000
@@ -10,8 +10,8 @@
 
 parts:
     local:
-        plugin: ant-project
+        plugin: ant
         source: .
     wrapper:
-        plugin: make-project
+        plugin: make
         source: .

=== modified file 'examples/libpipeline/snapcraft.yaml'
--- examples/libpipeline/snapcraft.yaml	2015-09-29 13:36:43 +0000
+++ examples/libpipeline/snapcraft.yaml	2015-10-01 08:54:15 +0000
@@ -10,10 +10,10 @@
 
 parts:
     pipelinetest:
-        plugin: make-project
+        plugin: make
         source: lp:~mterry/+junk/pipelinetest
         after:
             - libpipeline
     libpipeline:
-        plugin: autotools-project
+        plugin: autotools
         source: lp:~mterry/libpipeline/printf

=== modified file 'examples/py2-project/snapcraft.yaml'
--- examples/py2-project/snapcraft.yaml	2015-09-29 13:36:43 +0000
+++ examples/py2-project/snapcraft.yaml	2015-10-01 08:54:15 +0000
@@ -10,7 +10,7 @@
 
 parts:
   spongeshaker:
-    plugin: python2-project
+    plugin: python2
     source: git://github.com/markokr/spongeshaker.git
   make-project:
     source: .

=== modified file 'examples/py3-project/snapcraft.yaml'
--- examples/py3-project/snapcraft.yaml	2015-09-29 13:36:43 +0000
+++ examples/py3-project/snapcraft.yaml	2015-10-01 08:54:15 +0000
@@ -10,7 +10,7 @@
 
 parts:
   spongeshaker:
-    plugin: python3-project
+    plugin: python3
     source: git://github.com/markokr/spongeshaker.git
   sha3:
     plugin: copy

=== modified file 'examples/tomcat-maven-webapp/snapcraft.yaml'
--- examples/tomcat-maven-webapp/snapcraft.yaml	2015-09-29 13:36:43 +0000
+++ examples/tomcat-maven-webapp/snapcraft.yaml	2015-10-01 08:54:15 +0000
@@ -15,11 +15,11 @@
 
 parts:
     webapp:
-        plugin: maven-project
+        plugin: maven
         source: git://github.com/lool/snappy-mvn-demo.git
     tomcat:
         plugin: tar-content
         source: http://mirrors.ircam.fr/pub/apache/tomcat/tomcat-8/v8.0.26/bin/apache-tomcat-8.0.26.tar.gz
     local-files:
-        plugin: make-project
+        plugin: make
         source: .

=== modified file 'integration-tests/data/dependencies/snapcraft.yaml'
--- integration-tests/data/dependencies/snapcraft.yaml	2015-09-29 13:36:43 +0000
+++ integration-tests/data/dependencies/snapcraft.yaml	2015-10-01 08:54:15 +0000
@@ -7,13 +7,13 @@
 
 parts:
   p1:
-    plugin: make-project
+    plugin: make
     source: p1
   p2:
-    plugin: make-project
+    plugin: make
     source: p2
     after: [p1]
   p3:
-    plugin: make-project
+    plugin: make
     source: p3
     after: [p2]

=== modified file 'integration-tests/data/simple-scons/snapcraft.yaml'
--- integration-tests/data/simple-scons/snapcraft.yaml	2015-09-29 19:41:21 +0000
+++ integration-tests/data/simple-scons/snapcraft.yaml	2015-10-01 08:54:15 +0000
@@ -9,5 +9,5 @@
   scons-project:
     scons-options:
       - --prefix=/opt
-    plugin: scons-project
+    plugin: scons
     source: .

=== renamed file 'plugins/ant-project.yaml' => 'plugins/ant.yaml'
=== renamed file 'plugins/autotools-project.yaml' => 'plugins/autotools.yaml'
=== renamed file 'plugins/cmake-project.yaml' => 'plugins/cmake.yaml'
=== removed file 'plugins/go.yaml'
--- plugins/go.yaml	2015-09-18 14:53:03 +0000
+++ plugins/go.yaml	1970-01-01 00:00:00 +0000
@@ -1,2 +0,0 @@
-build-packages:
-  - golang-go

=== renamed file 'plugins/go-project.yaml' => 'plugins/go.yaml'
--- plugins/go-project.yaml	2015-09-22 03:08:07 +0000
+++ plugins/go.yaml	2015-10-01 08:54:15 +0000
@@ -1,5 +1,5 @@
-requires:
-  - go
+build-packages:
+  - golang-go
 options:
   source:
     required: true

=== renamed file 'plugins/make-project.yaml' => 'plugins/make.yaml'
=== renamed file 'plugins/maven-project.yaml' => 'plugins/maven.yaml'
=== renamed file 'plugins/python2-project.yaml' => 'plugins/python2.yaml'
=== renamed file 'plugins/python3-project.yaml' => 'plugins/python3.yaml'
=== modified file 'plugins/readline.yaml'
--- plugins/readline.yaml	2015-07-02 17:04:34 +0000
+++ plugins/readline.yaml	2015-10-01 08:54:15 +0000
@@ -1,3 +1,3 @@
 source: git://git.sv.gnu.org/readline.git
 requires:
-  - autotools-project
+  - autotools

=== renamed file 'plugins/scons-project.yaml' => 'plugins/scons.yaml'
=== renamed file 'snapcraft/plugins/ant_project.py' => 'snapcraft/plugins/ant.py'
--- snapcraft/plugins/ant_project.py	2015-08-26 08:52:09 +0000
+++ snapcraft/plugins/ant.py	2015-10-01 08:54:15 +0000
@@ -26,7 +26,7 @@
 logger = logging.getLogger(__name__)
 
 
-class AntProjectPlugin(snapcraft.BasePlugin):
+class AntPlugin(snapcraft.BasePlugin):
 
     def pull(self):
         return self.handle_source_options()

=== renamed file 'snapcraft/plugins/autotools_project.py' => 'snapcraft/plugins/autotools.py'
--- snapcraft/plugins/autotools_project.py	2015-07-22 18:23:16 +0000
+++ snapcraft/plugins/autotools.py	2015-10-01 08:54:15 +0000
@@ -15,7 +15,7 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 import os
-from snapcraft.plugins.make_project import MakePlugin
+from snapcraft.plugins.make import MakePlugin
 
 
 class AutotoolsPlugin(MakePlugin):

=== renamed file 'snapcraft/plugins/cmake_project.py' => 'snapcraft/plugins/cmake.py'
--- snapcraft/plugins/cmake_project.py	2015-07-22 18:23:16 +0000
+++ snapcraft/plugins/cmake.py	2015-10-01 08:54:15 +0000
@@ -14,7 +14,7 @@
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-from snapcraft.plugins.make_project import MakePlugin
+from snapcraft.plugins.make import MakePlugin
 
 
 class CMakePlugin(MakePlugin):

=== removed file 'snapcraft/plugins/go.py'
--- snapcraft/plugins/go.py	2015-09-08 21:06:47 +0000
+++ snapcraft/plugins/go.py	1970-01-01 00:00:00 +0000
@@ -1,26 +0,0 @@
-# -*- Mode:Python; indent-tabs-mode:nil; tab-width:4 -*-
-#
-# Copyright (C) 2015 Canonical Ltd
-#
-# This program is free software: you can redistribute it and/or modify
-# it under the terms of the GNU General Public License version 3 as
-# published by the Free Software Foundation.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program.  If not, see <http://www.gnu.org/licenses/>.
-
-import snapcraft
-
-
-class GoPlugin(snapcraft.BasePlugin):
-
-    def env(self, root):
-        # usr/lib/go/bin on newer Ubuntus, usr/bin on trusty
-        return [
-            "GOPATH={}/go".format(root),
-        ]

=== renamed file 'snapcraft/plugins/go_project.py' => 'snapcraft/plugins/go.py'
--- snapcraft/plugins/go_project.py	2015-09-23 11:07:45 +0000
+++ snapcraft/plugins/go.py	2015-10-01 08:54:15 +0000
@@ -18,7 +18,8 @@
 import snapcraft
 
 
-class GoProjectPlugin(snapcraft.BasePlugin):
+class GoPlugin(snapcraft.BasePlugin):
+
     def __init__(self, name, options):
         super().__init__(name, options)
         if self.options.source.startswith("lp:"):
@@ -26,6 +27,12 @@
         else:
             self.fullname = self.options.source.split("://")[1]
 
+    def env(self, root):
+        # usr/lib/go/bin on newer Ubuntus, usr/bin on trusty
+        return [
+            "GOPATH={}/go".format(root),
+        ]
+
     def pull(self):
         # use -d to only download (build will happen later)
         # use -t to also get the test-deps

=== renamed file 'snapcraft/plugins/make_project.py' => 'snapcraft/plugins/make.py'
=== renamed file 'snapcraft/plugins/maven_project.py' => 'snapcraft/plugins/maven.py'
=== renamed file 'snapcraft/plugins/python2_project.py' => 'snapcraft/plugins/python2.py'
--- snapcraft/plugins/python2_project.py	2015-09-23 12:19:45 +0000
+++ snapcraft/plugins/python2.py	2015-10-01 08:54:15 +0000
@@ -20,7 +20,7 @@
 import snapcraft
 
 
-class Python2ProjectPlugin(snapcraft.BasePlugin):
+class Python2Plugin(snapcraft.BasePlugin):
 
     _PLUGIN_STAGE_PACKAGES = [
         'python-dev',

=== renamed file 'snapcraft/plugins/python3_project.py' => 'snapcraft/plugins/python3.py'
--- snapcraft/plugins/python3_project.py	2015-09-23 12:19:45 +0000
+++ snapcraft/plugins/python3.py	2015-10-01 08:54:15 +0000
@@ -20,7 +20,7 @@
 import snapcraft
 
 
-class Python3ProjectPlugin(snapcraft.BasePlugin):
+class Python3Plugin(snapcraft.BasePlugin):
 
     _PLUGIN_STAGE_PACKAGES = [
         'python3-dev',

=== renamed file 'snapcraft/plugins/scons_project.py' => 'snapcraft/plugins/scons.py'
=== modified file 'snapcraft/tests/test_yaml.py'
--- snapcraft/tests/test_yaml.py	2015-09-30 20:28:59 +0000
+++ snapcraft/tests/test_yaml.py	2015-10-01 08:54:15 +0000
@@ -119,10 +119,12 @@
 
 parts:
   p1:
-    plugin: go
+    plugin: tar-content
+    source: .
     after: [p2]
   p2:
-    plugin: go
+    plugin: tar-content
+    source: .
     after: [p1]
 """)
         with self.assertRaises(snapcraft.yaml.SnapcraftLogicError) as raised:

=== modified file 'snapcraft/wiki.py'
--- snapcraft/wiki.py	2015-09-16 20:59:15 +0000
+++ snapcraft/wiki.py	2015-10-01 08:54:15 +0000
@@ -46,4 +46,6 @@
         self._fetch()
 
         if name in self.wiki_parts:
+            if 'plugin' and 'type' in self.wiki_parts[name]:
+                del self.wiki_parts[name]['type']
             return self.wiki_parts[name]

=== modified file 'snapcraft/yaml.py'
--- snapcraft/yaml.py	2015-09-30 20:28:59 +0000
+++ snapcraft/yaml.py	2015-10-01 08:54:15 +0000
@@ -29,6 +29,18 @@
 logger = logging.getLogger(__name__)
 
 
+_DEPRECATION_LIST = [
+    'ant-project',
+    'autotools-project',
+    'cmake-project',
+    'go-project',
+    'make-project',
+    'maven-project',
+    'python2-project',
+    'python3-project',
+]
+
+
 @jsonschema.FormatChecker.cls_checks('file-path')
 @jsonschema.FormatChecker.cls_checks('icon-path')
 def _validate_file_exists(instance):
@@ -93,9 +105,15 @@
             if not plugin_name:
                 raise PluginNotDefinedError
 
+            if plugin_name in _DEPRECATION_LIST:
+                plugin_name = plugin_name.rsplit('-project')[0]
+                logger.warning(
+                    'DEPRECATED: plugin names ending in -project are '
+                    'deprecated. Using {0} instead of {0}-project'.format(
+                        plugin_name))
+
             if "after" in properties:
-                after_requests[part_name] = properties["after"]
-                del properties["after"]
+                after_requests[part_name] = properties.pop('after')
 
             properties['stage'] = _expand_filesets_for('stage', properties)
             properties['snap'] = _expand_filesets_for('snap', properties)
@@ -140,7 +158,7 @@
                     wiki_part = w.get_part(dep)
                     found = True if wiki_part else False
                     if found:
-                        part.deps.append(self.load_plugin(dep, wiki_part['type'], wiki_part))
+                        part.deps.append(self.load_plugin(dep, wiki_part['plugin'], wiki_part))
                 if not found:
                     raise SnapcraftLogicError('part name missing {}'.format(dep))
 

